<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY gst10-plugins-ugly-download-http
           "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
  <!ENTITY gst10-plugins-ugly-download-ftp  " ">
  <!ENTITY gst10-plugins-ugly-md5sum        "f71b3812bc7c2a1364e8b8fa0a4bdc5a">
  <!ENTITY gst10-plugins-ugly-size          "232 KB">
  <!ENTITY gst10-plugins-ugly-buildsize     "9.2 MB (with tests)">
  <!ENTITY gst10-plugins-ugly-time          "less than 0.1 SBU (with tests)">
]>

<sect1 id="gst10-plugins-ugly" xreflabel="gst-plugins-ugly-&gst10-plugins-ugly-version;">
  <?dbhtml filename="gst10-plugins-ugly.html"?>


  <title>gst-plugins-ugly-&gst10-plugins-ugly-version;</title>

  <indexterm zone="gst10-plugins-ugly">
    <primary sortas="a-gst-plugins-ugly">gst-plugins-ugly</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to GStreamer Ugly Plug-ins</title>

    <para>
      The <application>GStreamer Ugly Plug-ins</application> is a set of plug-ins
      considered by the <application>GStreamer</application> developers to have
      good quality and correct functionality, but distributing them might pose problems.
      The license on either the plug-ins or the supporting libraries might not be how
      the <application>GStreamer</application> developers would like. The code might
      be widely known to present patent problems.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&gst10-plugins-ugly-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&gst10-plugins-ugly-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &gst10-plugins-ugly-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &gst10-plugins-ugly-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &gst10-plugins-ugly-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &gst10-plugins-ugly-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">GStreamer Ugly Plug-ins Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gst10-plugins-base"/>
    </para>

    <!-- Common formats, output and input codecs and requirements
    for GNOME apps. What's a multimedia framework useful if it
    can't be used to play anything (common)? -->
    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="liba52"/> (needed to play DVD's),
      <xref linkend="libdvdread"/>, and
      <xref linkend="x264"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="libmpeg2"/>,
      <xref linkend="libcdio"/> (for CD-ROM drive access),
      <xref linkend="valgrind"/>,
      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
      <ulink url="https://packages.debian.org/source/sid/libsidplay">libsidplay</ulink>, and
      <ulink url="https://gstreamer.freedesktop.org/src/orc/">Orc</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of GStreamer Ugly Plug-ins</title>
    <!--
    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/gst10-objc-error.xml"/>
    -->
    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/gst10-plugins.xml"/>

    <para>
      Install <application>GStreamer Ugly Plug-ins</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup ..            \
      --prefix=/usr       \
      --buildtype=release \
      -D gpl=enabled      &amp;&amp;
ninja</userinput></screen>

    <para>
      To test the results, issue: <command>ninja test</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>
  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

    <para>
      <parameter>-D gpl=enabled</parameter>: Without this switch, plugins with
      dependencies on (A)GPL licensed libraries are not built.
    </para>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          Several plugins under /usr/lib/gstreamer-1.0
        </seg>
        <seg>
          None
        </seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

</sect1>
